/ api / name / gb.getenum
GB.GetEnum
Syntax

    void *GB.GetEnum ( void )

Gets the address of a memory zone used for storing the state of an enumeration. This memory zone is 16 bytes large.

- If you call this function inside the implementation of the _next special method, then you will get a pointer to the current enumeration state.

- Otherwise, you can only use it when you list all enumerators of a specified object with the GB.ListEnum and GB.NextEnum functions.

### See also

Enumeration Management